<template>
  <div>
    <!--<span class="adaptive">Статус:</span>
    <span :class='getStatusInfo.cssClass' :title='getStatusInfo.description'>
      <span class="adaptive black">{{getStatusInfo.description}}</span>
    </span>-->

    <span :class="getStatusInfo.cssClass">{{getStatusInfo.description}}</span>
  </div>
</template>

<script>
  import {getIconClass, getDescription} from '@/utils/mappings/loans'

  export default {
    props: {
      status: {
        required: true
      }
    },
    computed: {
      getStatusInfo () {
        return {
          cssClass: getIconClass(this.status),
          description: getDescription(this.status)
        }
      }
    }
  }
</script>

<style scoped>
  div {
    text-align: center;
  }
  .status-sucess {
    color: #6ec756 !important;
    background: none !important;
  }
  .status-deny {
    color: #f74455 !important;
    background: none !important;

  }
  .status-whaiting {
    color: #9b9b9b !important;
    background: none !important;

  }

</style>
